<!-- Example widget for demonstration  -->
<script lang="ts">
	import { onMount } from 'svelte';
	import { streamerApi } from '$lib/requests/requests';
	import { page } from '$app/stores';
	import type { Streamer } from '$lib/api';
	import { ws } from '$lib/config';
	import Counter from '../Counter..svelte';
	import ReconnectingWebSocket from 'reconnecting-websocket';

	// This URI should work : http://localhost:5173/cagnotte-globale

	let pot: number = 0;

	onMount(async () => {
		// Start WS
		const socket = new ReconnectingWebSocket(ws());

		socket.addEventListener('open', function (event) {
			socket.send(JSON.stringify({ op: 'sub', msg: `pot` }));
		});

		socket.addEventListener('message', function (event) {
			let data = JSON.parse(event.data);

			console.log('Received update', data);

			switch (data.r) {
				case `pot`:
					pot = data.d.pot;
					break;
				case `refresh`:
					// Refresh the page
					setTimeout(() => {
						window.location.reload();
					}, Math.random() * 1000);
					break;
			}
		});
	});
</script>

<div class="flex flex-col justify-center items-center">
	<h1 class="text-2xl fredoka text-white">Cagnotte Globale :</h1>
	<div class="background-frame flex flex-col justify-center items-center text-white">
		<div class="flex flex-row text-3xl red-hat">
			<Counter amount={pot} /> €
		</div>
	</div>
</div>

<style>
	@import url('https://fonts.googleapis.com/css2?family=Red+Hat+Mono:wght@700&display=swap');
	@import url('https://fonts.googleapis.com/css2?family=Fredoka:wght@300..700&display=swap');
	
	.red-hat {
		font-family: 'Red Hat Mono', monospace;
		font-optical-sizing: auto;
		font-weight: 700;
		font-style: normal;
	}
	.fredoka {
		font-family: 'Fredoka', sans-serif;
		font-optical-sizing: auto;
		font-weight: 700;
		font-style: normal;
		font-variation-settings: 'wdth' 100;
	}

	.background-frame {
		padding: 4px 16px;
		min-width: 358px;
		max-width: 358px;
		position: relative;
		box-sizing: border-box;
		border: solid 5px transparent;
		color: #fff;
		background: #444;
		background-clip: padding-box; /* !importanté */
		border: solid 5px transparent; /* !importanté */
		border-radius: 30px;

		&:before {
			content: '';
			position: absolute;
			top: 0;
			right: 0;
			bottom: 0;
			left: 0;
			z-index: -1;
			margin: -5px; /* !importanté */
			border-radius: inherit; /* !importanté */
			background: linear-gradient(to right, #38a17e, #00537e);
		}
	}
</style>
